Subject: Re: [PATCH] modules: elide param_lock if !CONFIG_SYSFS

From: Stephen Rothwell <[email-masked]>
Date: Fri, 26 Jun 2015 08:39:59 +1000

Hi Rusty,

On Fri, 26 Jun 2015 06:48:37 +0930 Rusty Russell <[email-masked]> wrote:
>
> Dan Streetman <[email-masked]> writes:
> > Only include the built-in and per-module param_lock, and corresponding
> > lock/unlock functions, if sysfs is enabled.  If there is no sysfs there
> > is no need for locking kernel params.
> >
> > This fixes a build break when CONFIG_SYSFS is not enabled, introduced
> > by commit b51d23e.
> 
> This doesn't even come close to applying to my tree?

That's because (as Dan noted) there was another fix patch in the tree
he was fixing ...

> I've fixed it like so, and tested it compiles both with and without
> SYSFS.
> 
> Subject: param: fix module param locks when !CONFIG_SYSFS.
> 
> As Dan Streetman points out, the entire point of locking for is to
> stop sysfs accesses, so they're elided entirely in the !SYSFS case.
> 
> Reported-by: Stephen Rothwell <[email-masked]>

Except the commit you added to the modules tree has no signed off by or
commentary :-(

-- 
Cheers,
Stephen Rothwell                    [email-masked]